// **********************************************************************
//
// Copyright (c) 2000
// Object-Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef OB_BIDIR_IIOP_INIT_H
#define OB_BIDIR_IIOP_INIT_H

#include <OB/OCI_fwd.h>
#include <OB/BiDirIOP.h>

namespace OBBiDir
{
namespace IIOP
{

//
// Install the bi-directional IIOP connector and acceptor factories
//
void install(CORBA::ORB_ptr, const char*);

//
// Create a new POAManager with support for bi-directional IIOP
//
PortableServer::POAManager_ptr createPOAManager(const char*,
                                                CORBA::ORB_ptr,
                                                int&, char**,
                                                OB::Properties_ptr);

} // End of namespace IIOP
} // End of namespace OBBiDir

#endif
