// **********************************************************************
//
// Copyright (c) 1999
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#include <OB/CORBA.h>
#include <OB/Logger.h>

#include <Hello_impl.h>

Hello_impl::Hello_impl(CORBA::ORB_ptr orb)
{
    OBCORBA::ORB_var oborb = OBCORBA::ORB::_narrow(orb);
    logger_ = oborb -> logger();
}

Hello_impl::~Hello_impl()
{
}

void
Hello_impl::say_hello()
    throw(CORBA::SystemException)
{
    logger_ -> info("Hello World!");
}
