// **********************************************************************
//
// Copyright (c) 1999
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef HELLO_IMPL_H
#define HELLO_IMPL_H

#include <OB/Logger_fwd.h>

#include <Hello_skel.h>

class Hello_impl : public POA_Hello,
		   public PortableServer::RefCountServantBase
{
    OB::Logger_var logger_;
    
public:

    Hello_impl(CORBA::ORB_ptr);

    ~Hello_impl();

    virtual void say_hello()
        throw(CORBA::SystemException);
};

#endif
