// **********************************************************************
//
// Copyright (c) 1999
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef REAP_TIMER_H
#define REAP_TIMER_H

class Reaper;

//
// A ReapTimer invokes reap() on a reaper at a given interval
//
class ReapTimer : public JTCThread, public JTCMonitor
{
    Reaper* reaper_; // The reaper
    int interval_; // The interval
    bool destroy_; // Has the reaper been destroyed?

public:

    ReapTimer(Reaper* reaper, int interval);
    virtual ~ReapTimer();

    virtual void run();

    void destroy();
};

#endif
