// **********************************************************************
//
// Copyright (c) 1999
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef OB_TYPE_CODE_CONST_H
#define OB_TYPE_CODE_CONST_H

#include <OB/TypeCode_fwd.h>

namespace OB
{

class TypeCodeConst OB_COLON_MUTEX
{
    TypeCodeConst(const TypeCodeConst&);
    void operator=(const TypeCodeConst&);

    CORBA::TypeCode_var typeCode_;
    const char* str_;

public:

    TypeCodeConst(const char* s) : str_(s) { }

    operator CORBA::TypeCode_ptr();
    CORBA::TypeCode_ptr operator->()
    { return operator CORBA::TypeCode_ptr(); }
};

} // End of namespace OB

#endif
