// **********************************************************************
//
// Copyright (c) 1999
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef TEST_MACRO_H
#define TEST_MACRO_H

#include <stdlib.h> // For abort()

inline void
TestMacro(const char* ex, const char* file, unsigned int line)
{
    OB_COUT << "Failed!" << OB_ENDL;
    OB_COUT << "Reason: ( " << ex << " ) == false" << OB_ENDL;
    OB_COUT << "File: " << file << OB_ENDL;
    OB_COUT << "Line: " << line << OB_ENDL;
    abort();
}

#define TEST(ex) ( (ex) ? ((void)0) : TestMacro(#ex , __FILE__, __LINE__) )

#endif
