// **********************************************************************
//
// Copyright (c) 1999
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef TEST_DSI_IMPL_H
#define TEST_DSI_IMPL_H

#include <TestIntf_2_3.h>

class TestIntf_2_3_DSI_impl :
    virtual public PortableServer::DynamicImplementation
{
protected:

    TestIntf_2_3_var ti_;
    CORBA::ORB_var orb_;

public:

    TestIntf_2_3_DSI_impl(TestIntf_2_3_ptr, CORBA::ORB_ptr);

    virtual CORBA::RepositoryId
    _primary_interface(const PortableServer::ObjectId&,
		       PortableServer::POA_ptr);

    virtual CORBA::Boolean _is_a(const char*)
	throw(CORBA::SystemException);

    virtual void invoke(CORBA::ServerRequest_ptr) throw();
};

#endif
