# **********************************************************************
#
# Copyright (c) 1999
# Object Oriented Concepts, Inc.
# Billerica, MA, USA
#
# All Rights Reserved
#
# **********************************************************************

top_srcdir	= ..

!include $(top_srcdir)\config\Make.rules.mak

# The book demos only work with the new iostream library
!if "$(OLD_IOSTREAM)" == "yes"
BOOK		=
!else
BOOK		= book
!endif

#
# Set of demos that only work with JThreads/C++
#
!if "$(WITH_JTC)" == "yes"
SUBDIRS_JTC	= NTService factory
!else
SUBDIRS_JTC	=
!endif

SUBDIRS		= hello hello_imr chat nested repository chain \
		  oci_info perf pi random value abstract custom \
		  $(BOOK) $(SUBDIRS_JTC)

$(EVERYTHING)::
	@for %i in ( $(SUBDIRS) ) do \
	    @cmd /c "cd %i & $(MAKE) /f Makefile.mak $@"
