// **********************************************************************
//
// Copyright (c) 1999
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#include <OB/CORBA.h>
#include <Peer_impl.h>

#ifdef HAVE_STD_IOSTREAM
using namespace std;
#endif

// ----------------------------------------------------------------------
// Peer_impl constructor
// ----------------------------------------------------------------------

Peer_impl::Peer_impl()
{
}

// ----------------------------------------------------------------------
// Peer_impl public member implementation
// ----------------------------------------------------------------------

void
Peer_impl::decrement(CORBA::Long& value, Peer_ptr peer)
    throw(CORBA::SystemException)
{
    cout << value << endl;

    value--;

    if(value > 0)
    {
	Peer_var self = _this();

	try
	{
	    peer -> decrement(value, self);
	}
	catch(const CORBA::Exception& ex)
	{
	    cerr << "Got exception while calling `peer -> decrement()':"
		 << endl;
	    cerr << ex << endl;
	}
    }
}
