// **********************************************************************
//
// Copyright (c) 1999
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef OB_CODE_CONVERTERS_H
#define OB_CODE_CONVERTERS_H

namespace OB
{

//
// Declare CodeConverterBase
//
class CodeConverterBase;

//
// The CodeConverters struct
//
struct CodeConverters
{
    CodeConverterBase* inputCharConverter;
    CodeConverterBase* outputCharConverter;
    CodeConverterBase* wcharConverter;

    //
    // Equality check
    //
    bool equal(const CodeConverters& other) const
    {
        return inputCharConverter == other.inputCharConverter &&
               outputCharConverter == other.outputCharConverter &&
	       wcharConverter == other.wcharConverter;
    }
};

} // End of namespace OB

#endif
