// **********************************************************************
//
// Copyright (c) 1999
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef OB_WINDOWS_H
#define OB_WINDOWS_H

#include <OB/Reactor_fwd.h>
#include <OB/Logger_fwd.h>

namespace OB
{

//
// Get the Windows reactor
//
Reactor_ptr GetWindowsReactor(HINSTANCE);

//
// Get the Windows logger
//
Logger_ptr GetWindowsLogger();

} // End of namespace OB

#endif
