// **********************************************************************
//
// Copyright (c) 1999
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#include <OB/Basic.h>
#include <OB/Template.h>
#include <OB/EventHandlerBase.h>

using namespace CORBA;
using namespace OB;

// ----------------------------------------------------------------------
// External, non-inline duplicate/release for templates
// ----------------------------------------------------------------------

void
OBDuplicate(OB::EventHandlerBase_ptr p)
{
    if(p)
	p -> _OB_incRef();
}

void
OBRelease(OB::EventHandlerBase_ptr p)
{
    if(p)
	p -> _OB_decRef();
}
