// **********************************************************************
//
// Copyright (c) 1999
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef OB_GIOP_CLIENT_WORKER_FWD_H
#define OB_GIOP_CLIENT_WORKER_FWD_H

#include <OB/Template.h>

namespace OB
{

class GIOPClientWorker;
typedef GIOPClientWorker* GIOPClientWorker_ptr;

class GIOPClientWorkerBlocking;
typedef GIOPClientWorkerBlocking* GIOPClientWorkerBlocking_ptr;

class GIOPClientWorkerReactive;
typedef GIOPClientWorkerReactive* GIOPClientWorkerReactive_ptr;

#ifdef HAVE_JTC

class GIOPClientWorkerThreaded;
typedef GIOPClientWorkerThreaded* GIOPClientWorkerThreaded_ptr;

#endif

} // End of namespace OB

void OBDuplicate(OB::GIOPClientWorker_ptr);
void OBRelease(OB::GIOPClientWorker_ptr);

//  void OBDuplicate(OB::GIOPClientWorkerBlocking_ptr);
//  void OBRelease(OB::GIOPClientWorkerBlocking_ptr);

//  void OBDuplicate(OB::GIOPClientWorkerReactive_ptr);
//  void OBRelease(OB::GIOPClientWorkerReactive_ptr);

#ifdef HAVE_JTC

void OBDuplicate(OB::GIOPClientWorkerThreaded_ptr);
void OBRelease(OB::GIOPClientWorkerThreaded_ptr);

#endif

namespace OB
{

typedef ObjVar< GIOPClientWorker > GIOPClientWorker_var;

//  typedef ObjVar< GIOPClientWorkerBlocking > GIOPClientWorkerBlocking_var;

//  typedef ObjVar< GIOPClientWorkerReactive > GIOPClientWorkerReactive_var;

#ifdef HAVE_JTC

typedef ObjVar< GIOPClientWorkerThreaded > GIOPClientWorkerThreaded_var;

#endif

} // End of namespace OB

#endif
