// **********************************************************************
//
// Copyright (c) 1999
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#ifndef OB_GIOP_SERVER_STARTER_FWD_H
#define OB_GIOP_SERVER_STARTER_FWD_H

#include <OB/Template.h>

namespace OB
{

class GIOPServerStarter;
typedef GIOPServerStarter* GIOPServerStarter_ptr;

class GIOPServerStarterReactive;
typedef GIOPServerStarterReactive* GIOPServerStarterReactive_ptr;

#ifdef HAVE_JTC

class GIOPServerStarterThreaded;
typedef GIOPServerStarterThreaded* GIOPServerStarterThreaded_ptr;

#endif

} // End of namespace OB

void OBDuplicate(OB::GIOPServerStarter_ptr);
void OBRelease(OB::GIOPServerStarter_ptr);

//  void OBDuplicate(OB::GIOPServerStarterReactive_ptr);
//  void OBRelease(OB::GIOPServerStarterReactive_ptr);

#ifdef HAVE_JTC

void OBDuplicate(OB::GIOPServerStarterThreaded_ptr);
void OBRelease(OB::GIOPServerStarterThreaded_ptr);

#endif

namespace OB
{

typedef ObjVar< GIOPServerStarter > GIOPServerStarter_var;

//  typedef ObjVar< GIOPServerStarterReactive > GIOPServerStarterReactive_var;

#ifdef HAVE_JTC

typedef ObjVar< GIOPServerStarterThreaded > GIOPServerStarterThreaded_var;

#endif

} // End of namespace OB

#endif
