// **********************************************************************
//
// Copyright (c) 1999
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// **********************************************************************

#include <Messaging_impl.h>

using namespace CORBA;
using namespace OB;

// ----------------------------------------------------------------------
// SyncScopePolicy_impl constructor and destructor
// ----------------------------------------------------------------------

Messaging::SyncScopePolicy_impl::SyncScopePolicy_impl(SyncScope value)
    : value_(value)
{
}

Messaging::SyncScopePolicy_impl::~SyncScopePolicy_impl()
{
}

// ----------------------------------------------------------------------
// SyncScopePolicy_impl public member implementation
// ----------------------------------------------------------------------

Messaging::SyncScope
Messaging::SyncScopePolicy_impl::synchronization()
    throw(SystemException)
{
    return value_;
}

PolicyType
Messaging::SyncScopePolicy_impl::policy_type()
    throw(SystemException)
{
    return SYNC_SCOPE_POLICY_TYPE;
}

Policy_ptr
Messaging::SyncScopePolicy_impl::copy()
    throw(SystemException)
{
    return Policy::_duplicate(this);
}

void
Messaging::SyncScopePolicy_impl::destroy()
    throw(SystemException)
{
}
